KDE 4.9 PyKDE API Reference

- KDE's Python API

# LatLonEdit Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Signals
| valueChanged (float value)
## Methods
| __init__ (self, QWidget parent=0, Marble.Dimension dimension=Marble.Longitude, Marble.GeoDataCoordinates.Notation notation=Marble.GeoDataCoordinates.DMS)
Marble.GeoDataCoordinates.Notation | notation (self)
| setDimension (self, Marble.Dimension dimension)
| setNotation (self, Marble.GeoDataCoordinates.Notation notation)
| setValue (self, float newvalue)
float | value (self)

## Signal Documentation

valueChanged | ( | float | value
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("valueChanged(qreal)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Marble.Dimension | dimension=Marble.Longitude,
|  | Marble.GeoDataCoordinates.Notation | notation=Marble.GeoDataCoordinates.DMS
| ) |  |  |

Marble.GeoDataCoordinates.Notation notation | ( |  | self ) |

setDimension | ( | self, |
|  | Marble.Dimension | dimension
| ) |  |  |

setNotation | ( | self, |
|  | Marble.GeoDataCoordinates.Notation | notation
| ) |  |  |

setValue | ( | self, |
|  | float | newvalue
| ) |  |  |

float value | ( |  | self ) |